﻿using Newtonsoft.Json.Linq;
using System;
using System.Collections.Generic;
using System.Web.Mvc;
namespace PivotGridAjax
{
    public partial class PivotGridController: Controller
    {
        public ActionResult PivotGridFeatures()
        {
              return View();
         }


        [System.Web.Mvc.HttpPost]
        public JsonResult GetData()
        {
            var lst = new List<item>();
            lst.Add(new item() { Amount = 100, Country = "Canada", Date = "FY 2005", Product = "Bike", Quantity = 2, State = "Alberta", Active = true });            
            lst.Add(new item(){ Amount= 200, Country= "Canada", Date= "FY 2006", Product= "Van", Quantity= 3, State= "British Columbia", Active = true });
            lst.Add(new item(){ Amount= 300, Country= "Canada", Date= "FY 2007", Product= "Car", Quantity= 4, State= "Brunswick", Active = true });
            lst.Add(new item(){ Amount= 150, Country= "Canada", Date= "FY 2008", Product= "Bike", Quantity= 3, State= "Manitoba", Active = false });
            lst.Add(new item(){ Amount= 200, Country= "Canada", Date= "FY 2006", Product= "Car", Quantity= 4, State= "Ontario", Active = true });
            lst.Add(new item(){ Amount= 100, Country= "Canada", Date= "FY 2007", Product= "Van", Quantity= 1, State= "Quebec", Active = false });
            lst.Add(new item(){ Amount= 200, Country= "France", Date= "FY 2005", Product= "Bike", Quantity= 2, State= "Charente-Maritime", Active = false });
            lst.Add(new item(){ Amount= 250, Country= "France", Date= "FY 2006", Product= "Van", Quantity= 4, State= "Essonne", Active = false });
            lst.Add(new item(){ Amount= 300, Country= "France", Date= "FY 2007", Product= "Car", Quantity= 3, State= "Garonne (Haute)", Active = true });
            lst.Add(new item(){ Amount= 150, Country= "France", Date= "FY 2008", Product= "Van", Quantity= 2, State= "Gers", Active = true });
            lst.Add(new item(){ Amount= 200, Country= "Germany", Date= "FY 2006", Product= "Van", Quantity= 3, State= "Bayern", Active = true });
            lst.Add(new item(){ Amount= 250, Country= "Germany", Date= "FY 2007", Product= "Car", Quantity= 3, State= "Brandenburg", Active = true });
            lst.Add(new item(){ Amount= 150, Country= "Germany", Date= "FY 2008", Product= "Car", Quantity= 4, State= "Hamburg", Active = false });
            lst.Add(new item(){ Amount= 200, Country= "Germany", Date= "FY 2008", Product= "Bike", Quantity= 4, State= "Hessen", Active = false });
            lst.Add(new item(){ Amount= 150, Country= "Germany", Date= "FY 2007", Product= "Van", Quantity= 3, State= "Nordrhein-Westfalen", Active = false });
            lst.Add(new item(){ Amount= 100, Country= "Germany", Date= "FY 2005", Product= "Bike", Quantity= 2, State= "Saarland", Active = true });
            lst.Add(new item(){ Amount= 150, Country= "United Kingdom", Date= "FY 2008", Product= "Bike", Quantity= 5, State= "England", Active = true });
            lst.Add(new item(){ Amount= 250, Country= "United States", Date= "FY 2007", Product= "Car", Quantity= 4, State= "Alabama", Active = true });
            lst.Add(new item(){ Amount= 200, Country= "United States", Date= "FY 2005", Product= "Van", Quantity= 4, State= "California", Active = true });
            lst.Add(new item(){ Amount= 100, Country= "United States", Date= "FY 2006", Product= "Bike", Quantity= 2, State= "Colorado", Active = true });
            lst.Add(new item(){ Amount= 150, Country= "United States", Date= "FY 2008", Product= "Car", Quantity= 3, State= "New Mexico", Active = true });
            lst.Add(new item(){ Amount= 200, Country= "United States", Date= "FY 2005", Product= "Bike", Quantity= 4, State= "New York", Active = true });
            lst.Add(new item(){ Amount= 250, Country= "United States", Date= "FY 2008", Product= "Car", Quantity= 3, State= "North Carolina", Active = false });
            lst.Add(new item(){ Amount= 300, Country= "United States", Date= "FY 2007", Product= "Van", Quantity= 4, State= "South Carolina", Active = false });

            //JObject json = JObject.Parse(str);
            var json =  Json(lst);
            return json;
        }

        public class item
        {
            public int Amount { get; set; }

            public string Country { get; set; }

            public string Date { get; set; }

            public string Product { get; set; }

            public int Quantity { get; set; }

            public string State { get; set; }

            public bool Active { get; set; }
        }
    }
}
